% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/wssmartis.R
\name{ws_mosicas}
\alias{ws_mosicas}
\title{Fonction d'appel au modèle de croissance de la canne à sucre MOSICAS}
\usage{
ws_mosicas(
  credential,
  latitude,
  longitude,
  start_date,
  end_date,
  remplissage,
  p0,
  ru,
  profrac,
  ressurf,
  variete,
  stade,
  irdose,
  freqdose,
  freq_sortie,
  dose_is_var,
  tx_remplissage
)
}
\arguments{
\item{credential}{obtenu par appel de la fonction get_credential}

\item{latitude}{latitude du lieu ou la simulation est souhaitée en ° décimaux}

\item{longitude}{longitude du lieu ou la simulation est souhaitée en ° décimaux}

\item{start_date}{Date de début de la simulation souhaitée. Les dates sont valides entre 01/01/2002 et end_date - 1}

\item{end_date}{Date de fin de la simulation souhaitée. Les dates sont valides entre 01/01/2002 et jour courant - 1}

\item{remplissage}{Taux de remplissage de la réserve utile en \%}

\item{p0}{p-Factor fixé par défaut à 0.5 qui décrit la répartition entre la partie de la réserve où l'eau est facile d'accès et l'autre partie ou l'eau est difficile d'accès sans unité}

\item{ru}{Réserve utile en mm. Voir ws_ru()}

\item{profrac}{Profondeur d'enracinement en m}

\item{ressurf}{Réservoir de surface pour en prendre en compte le mulch en mm}

\item{variete}{Code variete sans unité}

\item{stade}{Code indiquant la nature => 1 repousse , 0 vierge}

\item{irdose}{Dose d'irrigation en mm}

\item{freqdose}{Fréquence ou la dose d'irrigation sera appliquée en JOUR entier}

\item{freq_sortie}{indique la fréquence ou les valeurs calculés par le modèle seront sortie vers l'écran ou le fichier. Si freq_sortie > durée du cycle, la dernière ligne de valeurs du modèle est sortie}

\item{dose_is_var}{valeur 1 ou 0; 1 : irrigation en dose variable sera calculé selon max(txRempl x RU x Profondeur - stockfr,0) ; 0 : la dose est fixe et sera fourni dans les deux cas la dose est appliquée à fréquence fixe}

\item{tx_remplissage}{valeur compris entre 1 et 100 et exprime en pourcentage le niveau de remplissage à atteindre par irrigation si la dose variable est choisi}
}
\value{
Retourne l'ensemble des variables calculées par le modèle MOSICAS (météo, bilan hydrique, croissance de la plante en cm, rendement) variable yldcan en t/ha
}
\description{
Fonction d'appel au modèle de croissance de la canne à sucre MOSICAS
}
